#!/bin/bash

{
    cat poly.mod.bc

    cat <<EOF

    limit = 4

    print "---------------------------\n"

    for (a=-limit; a<=limit; a += 4) {
        e = -a/2
        for (b=-limit; b<=limit; b += 1) {
            for (f=-limit; f<=limit; f += 1) {

                x4coeff = coeff_x4(a,b,e,f)
                x2coeff = coeff_x2(a,b,e,f)
                x3coeff = coeff_x3(a,b,e,f)
                x1coeff = coeff_x1(a,b,e,f)
                x0coeff = coeff_x0(a,b,e,f)

                print " a = ", a
                print " b = ", b
                print " e = ", e
                print " f = ", f
                print "    "

                print x4coeff, "*x^4 + "
                print x3coeff, "*x^3 + "
                print x2coeff, "*x^2 + "
                print x1coeff, "*x^1 + "
                print x0coeff, "*x^0\n"
            }
        }
    }
EOF
} |

bc -q
